Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.panels.mockoperation
Class WsdlMockResultMessageExchange

    java.lang.Object
      com.eviware.soapui.impl.wsdl.submit.WsdlMessageExchange
          com.eviware.soapui.impl.wsdl.panels.mockoperation.WsdlMockResultMessageExchange

All Implemented Interfaces:
  MessageExchange

    public class WsdlMockResultMessageExchange

extends WsdlMessageExchange

WsdlMessageExchange for a WsdlMockResult, required for validations

Author:
  ole.matzura

Constructor Summary
`WsdlMockResultMessageExchange(WsdlMockResult mockResult)`

Method Summary
`WsdlOperation` | `getOperation()`
`Attachment[]` | `getRequestAttachments()`
`java.lang.String` | `getRequestContent()`
`StringToStringMap` | `getRequestHeaders()`
`Attachment[]` | `getResponseAttachments()`
`java.lang.String` | `getResponseContent()`
`StringToStringMap` | `getResponseHeaders()`
`long` | `getTimestamp()`
`long` | `getTimeTaken()`

Methods inherited from class com.eviware.soapui.impl.wsdl.submit.WsdlMessageExchange
`addProperty, getMessages, getProperties, getRequestAttachmentsForPart, getResponseAttachmentsForPart, hasRequest, hasResponse, setMessages`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WsdlMockResultMessageExchange

    public WsdlMockResultMessageExchange(WsdlMockResult mockResult)

Method Detail

### getRequestAttachments

    public Attachment[] getRequestAttachments()

### getRequestContent

    public java.lang.String getRequestContent()

### getRequestHeaders

    public StringToStringMap getRequestHeaders()

### getResponseAttachments

    public Attachment[] getResponseAttachments()

### getResponseContent

    public java.lang.String getResponseContent()

### getResponseHeaders

    public StringToStringMap getResponseHeaders()

### getOperation

    public WsdlOperation getOperation()

  Specified by:
    `getOperation` in class `WsdlMessageExchange`

### getTimeTaken

    public long getTimeTaken()

### getTimestamp

    public long getTimestamp()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.